//
//****************************************
//**  Copyright  (C)  W.ch  1999-2011   **
//**  Web:  http://www.winchiphead.com  **
//****************************************
//**  DLL for HID interface chip CH9326  **
//**  C, VC6.0                          **
//****************************************
//
// CH9130DLLӦòӿڿ  V1.0
// Ͼߺ޹˾  : zyw@wch.cn 2014.01
// CH9130DLL  V1.0 
// 
// 
//

#ifndef		_CH9130_DLL_H
#define		_CH9130_DLL_H

#ifdef __cplusplus
extern "C" {
#endif
// VCУunsigned long4ֽڣunsigned short2ֽڣHANDLEǣֽ
typedef void * CH9130Handle;

#define	BIT_PERI_GPIO	( 1<<0 )		/* GPIO״̬0رգ1ռ */
#define	BIT_PERI_UART0	( 1<<1 )		/* UART0״̬0رգ1ռ */
#define	BIT_PERI_UART1	( 1<<2 )		/* UART1״̬0رգ1ռ */
#define	BIT_PERI_SPI0	( 1<<3 )		/* SPI0״̬0رգ1ռ */
#define	BIT_PERI_SPI1	( 1<<4 )		/* SPI1״̬0رգ1ռ */
#define	BIT_PERI_PWM0	( 1<<5 )		/* PWM0״̬0رգ1ռ */
#define	BIT_PERI_PWM1	( 1<<6 )		/* PWM1״̬0رգ1ռ */
#define	BIT_PERI_PWM2	( 1<<7 )		/* PWM2״̬0رգ1ռ */
#define	BIT_PERI_PARA	( 1<<8 )		/* ״̬0رգ1ռ */
#define	BIT_PERI_ADC	( 1<<9 )		/* ADC״̬0رգ1ռ */

/* ʵĴλBIT_CTL_PARAM_REG_VIR0 */
#define DEF_R8_PD_DIR_2     0x004000C2      // RW, GPIO PD I/O direction byte 2
#define DEF_R8_PD_DIR_3     0x004000C3      // RW, GPIO PD I/O direction byte 3
#define DEF_R8_PD_PIN_2		0x004000C6		/* GPIO07ݼĴ */
#define DEF_R8_PD_PIN_3		0x004000C7		/* GPIO815ݼĴ */
#define DEF_R8_PD_OUT_2		0x004000CA		/* GPIO07ݼĴ */
#define DEF_R8_PD_OUT_3		0x004000CB		/* GPIO815ݼĴ */
#define DEF_R8_UART0_THR	0x0040D000		/* Uart0ͼĴ */
#define	DEF_R8_UART0_RBR	0x0040D000		/* Uart0ռĴ */
#define DEF_R8_UART1_THR	0x0040D800		/* Uart1ͼĴ */
#define	DEF_R8_UART1_RBR	0x0040D800		/* Uart1ռĴ */
#define	DEF_R8_SPI0_BUFFER	0x0040C004		/* SPI0ݻ */
#define	DEF_R8_SPI1_BUFFER	0x0040C804		/* SPI1ݻ */
#define	DEF_R16_ADC_DATA	0x0040A004		/* ADCݻ */
#define	DEF_R32_TMR0_FIFO	0x00408010		/* PWM0ݻ */
#define	DEF_R32_TMR1_FIFO	0x00408410		/* PWM1ݻ */
#define	DEF_R32_TMR2_FIFO	0x00408810		/* PWM2ݻ */
#define	DEF_RX_XBUS_BASE	0x00C00000		/* ⲿ߻ַ81632λ */
#define DEF_R8_SLV_DOUT		0x00400016		/* Ĵ */
#define DEF_R8_SLV_DIN		0x00400043		/* Ĵ */


/* CtrlParamλ */
#define	BIT_CTL_PARAM_REG_DIR	( 1<<0 )		/* Ĵдλ0д1 */
#define	BIT_CTL_PARAM_ADR_INC	( 1<<1 )		/* ַдԼӿλ0֣1Լ */
#define	BIT_CTL_PARAM_REG_CFG	( 1<<2 )		/* Ĵ0ݼĴ1üĴ */
#define	BIT_CTL_PARAM_REG_VIR	( 1<<3 )		/* Ĵӳ0ʵĴ1Ĵ */
#define	BIT_CTL_PARAM_REG_ACK	( 1<<4 )		/* ״̬0ǶӦ״̬1λϱ״̬ */
#define	BIT_CTL_PARAM_SPI_RDGO	( 1<<5 )		/* SPIд־дݺŶݣ01 */
#define	BIT_CTL_PARAM_SPI_WRRD	( 1<<6 )		/* SPIдͬʱ־дͬʱݣ0ͬ1ͬ */

#define	CH9130_STATUS_OK			        (  0 )
#define	CH9130_STATUS_WIN32_ERROR	        ( -1 )
#define	CH9130_STATUS_NETWORK_ERROR	        ( -2 )
#define	CH9130_STATUS_ACK_TIMEOUT	        ( -3 )
#define	CH9130_STATUS_INVALID_PARAMETER		( -4 )
#define	CH9130_STATUS_DEV_USED		        ( -5 )
#define	CH9130_STATUS_DEV_REMOVE		    ( -6 )

typedef	 VOID ( CALLBACK	* pCheckDevRmv ) (PVOID RevData );  
/* 
ʼ
  
		
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130Init();

/*
IPַ("192.168.1.1")ת4ֽULONGģʽȼhtonl(inet_addr(cp))
  
		cpNULLβIPַַ("192.168.1.1")
ֵ
		4ֽIPַģʽֱֵӸCH9130Connectĵ1ʹ
*/
ULONG WINAPI  CH9130StrToAddr(const char* cp);

/*
豸豸
  
		uIP  豸IPַ
		uPort豸Ķ˿
ֵ
		豸
*/
PVOID WINAPI  CH9130Connect(ULONG uIP,USHORT uPort);

/*
豸豸
  
		strIP豸ַIPַͬCH9130StrToAddrcp
		uPort豸Ķ˿
ֵ
		豸
*/
PVOID WINAPI  CH9130ConnectS(PCHAR strIP,USHORT uPort);

/*
ϿӣͷCH9130ConnectԴ
  
		pDevInf豸
		TimeOutʱʱ䣬λ롣ʱҪڵȴصFIN
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130Disconnect(PVOID pDevInf,ULONG TimeOut);

/*
豸쳣ʱĻصڼ鵽ûûӦ쳣ʱpFuc
  
		pDevInf豸
		pFuc   صַ
		pArg   pFucʱݸpFucĲ
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130SetCallBack(PVOID pDevInf ,pCheckDevRmv pFuc,PVOID pArg );

/*
Ĵ
  
		pDevInf豸
ֵ
		ش
*/
DWORD WINAPI  CH9130GetLastError(PVOID pDevInf );

/*
룬CH9130GetLastErrorCH9130_STATUS_NETWORK_ERRORԵCH9130GetNetWorkErrorIDؾ
  
		pDevInf豸
ֵ
		ش
*/
DWORD WINAPI  CH9130GetNetWorkErrorID(PVOID pDevInf );

/*
ҪôΪ0
  
		pDevInf豸
ֵ
		
*/
VOID  WINAPI  CH9130SetLastError(PVOID pDevInf );

/*
ڲ
  
		pDevInf豸
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130ClearBufData( PVOID pDevInf );

/*
ڲֽUART0UART1SPI0ģʽADCģʽPARAģʽʱDLLȰݻ
ѯڲֽ
  
		pDevInf豸
		pRecvLenʱڲֽ
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130QueryBufLen( PVOID pDevInf , PULONG pRecvLen);


/*
ȡ豸Ƿͻ˴
  
		pDevInf    豸
		pDevStatus 豸״̬BIT_PERI_GPIOȶ
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130GetDevStatus(PVOID pDevInf,PUSHORT pDevStatus);

/*
GPIO豸
  
		pDevInf    豸
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130OpenGPIO(PVOID pDevInf);

/*
رGPIO豸
  
		pDevInf    豸
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130CloseGPIO(PVOID pDevInf);



/*
GPIOD0~D7
  
		pDevInf    豸
		Data	   BIT0ӦD0BIT7ӦD7,ӦλΪ0ʾ룬Ϊ1ʾ
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130SetGPIODir0(PVOID pDevInf,UCHAR Data);

/*
GPIOD8~D15
  
		pDevInf    豸
		Data	   BIT0ӦD8BIT7ӦD15,ӦλΪ0ʾ룬Ϊ1ʾ
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130SetGPIODir1(PVOID pDevInf,UCHAR Data);

/*
ȡGPIOD0~D7ֵ
  
		pDevInf    豸
		Data	   BIT0ӦD0BIT7ӦD7ӦλΪ0ʾ͵ƽΪ1ʾߵƽ
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130ReadGPIOData0(PVOID pDevInf,PUCHAR pData);

/*
ȡGPIOD8~D15ֵ
  
		pDevInf    豸
		Data	   BIT0ӦD8BIT7ӦD15ӦλΪ0ʾ͵ƽΪ1ʾߵƽ
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130ReadGPIOData1(PVOID pDevInf,PUCHAR pData);

/*
GPIOD0~D7ֵ
  
		pDevInf    豸
		Data	   BIT0ӦD0BIT7ӦD7ӦλΪ0ʾ͵ƽΪ1ʾߵƽ
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130WriteGPIOData0(PVOID pDevInf,UCHAR Data);

/*
GPIOD8~D15ֵ
  
		pDevInf    豸
		Data	   BIT0ӦD8BIT7ӦD15,ӦλΪ0ʾ͵ƽΪ1ʾߵƽ
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130WriteGPIOData1(PVOID pDevInf,UCHAR Data);

/*
UART0豸
  
		pDevInf    豸
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130OpenUART0(PVOID pDevInf);

/*
رUART0豸
  
		pDevInf    豸
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130CloseUART0(PVOID pDevInf);



/*	BAUD rate setting	*/
#define B300		300
#define B600		600
#define B1200		1200
#define B2400		2400
#define B4800		4800
#define B9600		9600
#define B14400      14400
#define B19200		19200
#define B28800      28800
#define B38400		38400
#define B57600		57600
#define B76800      76800
#define B115200 	115200
#define B230400 	230400
#define B460800 	460800
#define B921600 	921600

/* Parity define	*/
#define P_ODD		0x00        //У
#define P_EVEN		0x01		//żУ
#define P_MARK		0x02		//־λ
#define P_SPC		0x03		//հλ
#define P_NONE		0x04		//У
/* Stop bits define	*/
#define STOP_1		0x00			
#define STOP_2		0x01

/*	Data bits define		*/
#define BIT_5		0x00			
#define BIT_6		0x01
#define BIT_7		0x02
#define BIT_8		0x03
/*
ʼUART0豸
  
		pDevInf    豸
		ulRate     ڲ(9600ʣulRateֱӴֵ9600)BAUD rate setting
		ucCheck    λParity define
		ucStop     ֹͣλStop bits define
		ucData     λData bits define
		ucFlowCtrl ʹܣ0ֹ1ʹ
		ucFIFO     FIFOС0=1byte, 1=4bytes(Ƽֵ), 2=8bytes, 3=14bytes
		bHalf      ˫ģʽƣ0ֹ1ʹ
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130InitUART0(PVOID pDevInf,ULONG ulRate,UCHAR ucCheck,UCHAR ucStop,UCHAR ucData,UCHAR ucFIFO,UCHAR ucFlowCtrl,BOOL bHalf);

/*
UART0豸ݣעⳬʱʱҪǴڵĲ⣬600ʷ512ֽڵĻʱ9룬ʱʱҪóɴ9
  
		pDevInf    豸
		pData      
		Len        ȣȲҪ512ֽ
		TimeOut    ʱʱ䣬λ롣쳣豸쳣ʱûӦʱʱ
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130WriteUART0Data(PVOID pDevInf,PVOID pData,ULONG Len,ULONG TimeOut);

/*
UART0豸ݣעⳬʱʱڲûʱĵȴʱ
  
		pDevInf    豸
		pData      
		Len        ǰǻȣȲҪ512ֽڡغʵʶݳ
		TimeOut    ʱʱ䣬λ롣쳣豸쳣ʱûӦʱʱ
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130ReadUART0Data(PVOID pDevInf,PVOID pData,PULONG Len,ULONG TimeOut);

/*
UART1豸
  
		pDevInf    豸
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130OpenUART1(PVOID pDevInf);

/*
رUART1豸
  
		pDevInf    豸
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130CloseUART1(PVOID pDevInf);



/*
ʼUART1豸
  
		pDevInf    豸
		ulRate     ڲ(9600ʣulRateֱӴֵ9600)BAUD rate setting
		ucCheck    λParity define
		ucStop     ֹͣλStop bits define
		ucData     λData bits define
		ucFlowCtrl ʹܣ0ֹ1ʹ
		ucFIFO     FIFOС0=2byte, 1=8bytes(Ƽֵ), 2=16bytes, 3=28bytes
		bHalf      ˫ģʽƣ0ֹ1ʹ
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130InitUART1(PVOID pDevInf,ULONG ulRate,UCHAR ucCheck,UCHAR ucStop,UCHAR ucData,UCHAR ucFIFO,UCHAR ucFlowCtrl,BOOL bHalf);

/*
UART1豸ݣעⳬʱʱҪǴڵĲ⣬600ʷ512ֽڵĻʱ9룬ʱʱҪóɴ9
  
		pDevInf    豸
		pData      
		Len        ȣȲҪ512ֽ
		TimeOut    ʱʱ䣬λ롣쳣豸쳣ʱûӦʱʱ
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130WriteUART1Data(PVOID pDevInf,PVOID pData,ULONG Len,ULONG TimeOut);

/*
UART1豸ݣעⳬʱʱڲûʱĵȴʱ
  
		pDevInf    豸
		pData      
		Len        ǰǻȣȲҪ512ֽڡغʵʶݳ
		TimeOut    ʱʱ䣬λ롣쳣豸쳣ʱûӦʱʱ
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130ReadUART1Data(PVOID pDevInf,PVOID pData,PULONG Len,ULONG TimeOut);

/*
SPI0豸
  
		pDevInf    豸
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130OpenSPI0(PVOID pDevInf);

/*
ʼSPI0豸
  
		pDevInf    豸
		bDevMod    SPIģʽѡλ0ģʽ1豸ģʽ 
		ucSckMod3  ģʽʱģʽλ0ģʽ0SCKΪ͵ƽ1ģʽ3SCKΪߵƽ
		ucClkDiv   Ƶϵ>=2
		bHostFlowEnable  ӻģʽʹܣ0ֹ1ʹ
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130InitSPI0(PVOID pDevInf,BOOL bDevMod,BOOL ucSckMod3,UCHAR ucClkDiv,BOOL bHostFlowEnable);

/*
رSPI0豸
  
		pDevInf    豸
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130CloseSPI0(PVOID pDevInf);



/*
SPI0ģʽд
  
		pDevInf    豸
		pData      
		Len        ȣȲҪ512ֽ
		TimeOut    ʱʱ䣬λ롣쳣豸쳣ʱûӦʱʱ
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130WriteDataSPI0Host(PVOID pDevInf,PVOID pData,ULONG Len,ULONG TimeOut);

/*
SPI0ģʽ¶
  
		pDevInf    豸
		pData      
		Len        ǰǻȣȲҪ512ֽڡغʵʶݳ
		TimeOut    ʱʱ䣬λ롣쳣豸쳣ʱûӦʱʱ
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130ReadDataSPI0Host(PVOID pDevInf,PVOID pData,ULONG Len,ULONG TimeOut);
BOOL  WINAPI  CH9130WriteReadSPI0Host(PVOID pDevInf,PVOID pWData,ULONG WLen,PVOID pRData,ULONG RLen,ULONG TimeOut);

/*
SPI0ģʽд
  
		pDevInf    豸
		pData      
		Len        ȣȲҪ512ֽ
		TimeOut    ʱʱ䣬λ롣쳣豸쳣ʱûӦʱʱ
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130WriteDataSPI0Device(PVOID pDevInf,PVOID pData,ULONG Len,ULONG TimeOut);

/*
SPI0ģʽ¶
  
		pDevInf    豸
		pData      
		Len        ǰǻȣȲҪ512ֽڡغʵʶݳ
		TimeOut    ʱʱ䣬λ롣쳣豸쳣ʱûӦʱʱ
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130ReadDataSPI0Device(PVOID pDevInf,PVOID pData,PULONG Len,ULONG TimeOut);


/*
SPI1豸
  
		pDevInf    豸
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130OpenSPI1(PVOID pDevInf);

/*
ʼSPI1豸
  
		pDevInf    豸
		bDevMod    SPIģʽѡλ0ģʽ1豸ģʽ 
		ucSckMod3  ģʽʱģʽλ0ģʽ0SCKΪ͵ƽ1ģʽ3SCKΪߵƽ
		ucClkDiv   Ƶϵ>=2
		bHostFlowEnable  ӻģʽʹܣ0ֹ1ʹ
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130InitSPI1(PVOID pDevInf,BOOL bDevMod,BOOL ucSckMod3,UCHAR ucClkDiv,BOOL bHostFlowEnable);

/*
رSPI1豸
  
		pDevInf    豸
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130CloseSPI1(PVOID pDevInf);



/*
SPI1ģʽд
  
		pDevInf    豸
		pData      
		Len        ȣȲҪ512ֽ
		TimeOut    ʱʱ䣬λ롣쳣豸쳣ʱûӦʱʱ
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130WriteDataSPI1Host(PVOID pDevInf,PVOID pData,ULONG Len,ULONG TimeOut);

/*
SPI1ģʽ¶
  
		pDevInf    豸
		pData      
		Len        ǰǻȣȲҪ512ֽڡغʵʶݳ
		TimeOut    ʱʱ䣬λ롣쳣豸쳣ʱûӦʱʱ
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130ReadDataSPI1Host(PVOID pDevInf,PVOID pData,ULONG Len,ULONG TimeOut);
BOOL  WINAPI  CH9130WriteReadSPI1Host(PVOID pDevInf,PVOID pWData,ULONG WLen,PVOID pRData,ULONG RLen,ULONG TimeOut);

/*
PWM0豸
  
		pDevInf    豸
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130OpenPWM0(PVOID pDevInf);

/*
ʼPWM0豸
  
		pDevInf    豸
		ucRpt      ظ0:ظ1,1:ظ4,2:ظ8,3:ظ16 
		bDMALoop   DMAַѭģʽ0ֹ1ʹ
		bPOLAR     Ĭλ0Ĭϵ͵ƽߵƽЧ1Ĭϸߵƽ͵ƽЧ
		PwmCyc     ڣ룺102680000000СֵƵ
		PwmDuty    ռձȣ0%100%
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130InitPWM0(PVOID pDevInf,UCHAR ucRpt,BOOL bDMALoop,BOOL bPOLAR,ULONG PwmCyc,UCHAR PwmDuty);

/*
رPWM0豸
  
		pDevInf    豸
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130ClosePWM0(PVOID pDevInf);



/*
PWM0豸ռձ
  
		pDevInf    豸
		Data       ٷֱȣ0~100
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130SetPWM0Duty(PVOID pDevInf,ULONG Data);

/*
ʹPWM0豸
  
		pDevInf    豸
		Data       TRUE:ʼPWMΣFALSE:ֹͣ
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130SetPWM0Out(PVOID pDevInf,BOOL bEnable);

/*
PWM1豸
  
		pDevInf    豸
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130OpenPWM1(PVOID pDevInf);

/*
ʼPWM1豸
  
		pDevInf    豸
		ucRpt      ظ0:ظ1,1:ظ4,2:ظ8,3:ظ16 
		bDMALoop   DMAַѭģʽ0ֹ1ʹ
		bPOLAR     Ĭλ0Ĭϵ͵ƽߵƽЧ1Ĭϸߵƽ͵ƽЧ
		PwmCyc     ڣ룺102680000000СֵƵ
		PwmDuty    ռձȣ0%100%
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130InitPWM1(PVOID pDevInf,UCHAR ucRpt,BOOL bDMALoop,BOOL bPOLAR,ULONG PwmCyc,UCHAR PwmDuty);

/*
رPWM1豸
  
		pDevInf    豸
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130ClosePWM1(PVOID pDevInf);



/*
PWM1豸ռձ
  
		pDevInf    豸
		Data       ٷֱȣ0~100
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130SetPWM1Duty(PVOID pDevInf,ULONG Data);

/*
ʹPWM1豸
  
		pDevInf    豸
		Data       TRUE:ʼPWMΣFALSE:ֹͣ
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130SetPWM1Out(PVOID pDevInf,BOOL bEnable);

/*
PWM2豸
  
		pDevInf    豸
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130OpenPWM2(PVOID pDevInf);

/*
ʼPWM2豸
  
		pDevInf    豸
		ucRpt      ظ0:ظ1,1:ظ4,2:ظ8,3:ظ16 
		bDMALoop   DMAַѭģʽ0ֹ1ʹ
		bPOLAR     Ĭλ0Ĭϵ͵ƽߵƽЧ1Ĭϸߵƽ͵ƽЧ
		PwmCyc     ڣ룺102680000000СֵƵ
		PwmDuty    ռձȣ0%100%
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130InitPWM2(PVOID pDevInf,UCHAR ucRpt,BOOL bDMALoop,BOOL bPOLAR,ULONG PwmCyc,UCHAR PwmDuty);

/*
رPWM2豸
  
		pDevInf    豸
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130ClosePWM2(PVOID pDevInf);



/*
PWM2豸ռձ
  
		pDevInf    豸
		Data       ٷֱȣ0~100
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130SetPWM2Duty(PVOID pDevInf,ULONG Data);

/*
ʹPWM2豸
  
		pDevInf    豸
		Data       TRUE:ʼPWMΣFALSE:ֹͣ
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130SetPWM2Out(PVOID pDevInf,BOOL bEnable);


/*
ADC豸
  
		pDevInf    豸
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130OpenADC(PVOID pDevInf);

/*
ʼADC豸
  
		pDevInf    豸
		ucCycClk   ADCʱӲģʽ0ֶԶڵʱ
		bAutoWid   Զλ01ʱڣ12ʱ
		ucClkDiv   ʱӷƵϵ
		ucAdcChan  ͨ
		ucAutoCnt  Զ
		usRefValue δʵ
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130InitADC(PVOID pDevInf,UCHAR ucCycClk,BOOL bAutoWid,UCHAR ucClkDiv,UCHAR ucAdcChan,UCHAR ucAutoCnt,USHORT usRefValue);

/*
رADC豸
  
		pDevInf    豸
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130CloseADC(PVOID pDevInf);




/*
ʹADCԶ
  
		pDevInf    豸
		bEnable    TRUE:ADCԶFALSE:رADCԶ
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130SetADCAutoData(PVOID pDevInf,BOOL bEnable);

/*
һADC
  
		pDevInf    豸
		pData      ADCֵע⣺16λΪ1
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130ReadADCData(PVOID pDevInf,PUSHORT pData);

/*
ıADCͨ
  
		pDevInf    豸
		Data       ֵͨ0ͨ01ͨ12ͨ2
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130ChangeADCChan(PVOID pDevInf,UCHAR Data);

/*
ԶADC
  
		pDevInf    豸
		pData      ַע⣺16λΪ1
		pLen       
		TimeOut    ʱʱ䣬λ롣
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130ReadADCDataStream(PVOID pDevInf,PUSHORT pData,PULONG pLen,ULONG TimeOut);

/*
PARA豸
  
		pDevInf    豸
ֵ
		򿪳ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130OpenPARA(PVOID pDevInf);

/*
ʼPARA豸
  
		pDevInf    豸
		bSlvMode   ģʽѡ,0ⲿʹܣ1ʹ
		bTwoClk    ⲿ߶дڣ01ʱڣ12ʱ
		bWordWidth ⲿλ08λߣ116λ32λ
		bSlvEn     أ0ֹ1ʹ
		ucRwCyc    ⲿߵĶд
		ucHldCyc   ⲿߵĶдźŽʱ
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130InitPARA(PVOID pDevInf,BOOL bSlvMode,BOOL bTwoClk,BOOL bWordWidth,BOOL bSlvEn,UCHAR ucRwCyc,UCHAR ucHldCyc);

/*
رPARA豸
  
		pDevInf    豸
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130ClosePARA(PVOID pDevInf);



/*
PARA豸
  
		pDevInf    豸
		pData      ַע⣺16λΪ1
		pLen       ǰǻȣȲҪ512ֽڡغʵʶݳ
		TimeOut    ʱʱ䣬λ롣
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130ReadSlavePARAData(PVOID pDevInf,PVOID pData,PULONG pLen,ULONG TimeOut);

/*
дPARA豸
  
		pDevInf    豸
		pData      ַ
		pLen       
		TimeOut    ʱʱ䣬λ롣
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130WriteSlavePARAData(PVOID pDevInf,PVOID pData,ULONG uLen,ULONG TimeOut);

/*
ֽڷʽPARA豸
  
		pDevInf    豸
		OffsetAddr ⲿߵַ
		bAddInc    ⲿߵַǷ
		pData      ַע⣺ȲҪ512ֽ
		uLen       
		TimeOut    ʱʱ䣬λ롣
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130ReadMasterPARAByte(PVOID pDevInf,UCHAR OffsetAddr,BOOL bAddInc,PVOID pData,ULONG uLen,ULONG TimeOut);

/*
ַʽPARA豸
  
		pDevInf    豸
		OffsetAddr ⲿߵַ
		bAddInc    ⲿߵַǷ
		pData      ַע⣺ȲҪ512ֽ
		uLen       
		TimeOut    ʱʱ䣬λ롣
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130ReadMasterPARAWord(PVOID pDevInf,UCHAR OffsetAddr,BOOL bAddInc,PVOID pData,ULONG uLen,ULONG TimeOut);

/*
˫ַʽPARA豸
  
		pDevInf    豸
		OffsetAddr ⲿߵַ
		bAddInc    ⲿߵַǷ
		pData      ַע⣺ȲҪ512ֽ
		uLen       
		TimeOut    ʱʱ䣬λ롣
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130ReadMasterPARADword(PVOID pDevInf,UCHAR OffsetAddr,BOOL bAddInc,PVOID pData,ULONG uLen,ULONG TimeOut);

/*
ֽڷʽдPARA豸
  
		pDevInf    豸
		OffsetAddr ⲿߵַ
		bAddInc    ⲿߵַǷ
		pData      ַע⣺ȲҪ512ֽ
		uLen       
		TimeOut    ʱʱ䣬λ롣
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130WriteMasterPARAByte(PVOID pDevInf,UCHAR OffsetAddr,BOOL bAddInc,PVOID pData,ULONG uLen,ULONG TimeOut);

/*
ַʽдPARA豸
  
		pDevInf    豸
		OffsetAddr ⲿߵַ
		bAddInc    ⲿߵַǷ
		pData      ַע⣺ȲҪ512ֽ
		uLen       
		TimeOut    ʱʱ䣬λ롣
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130WriteMasterPARAWord(PVOID pDevInf,UCHAR OffsetAddr,BOOL bAddInc,PVOID pData,ULONG uLen,ULONG TimeOut);

/*
˫ַʽдPARA豸
  
		pDevInf    豸
		OffsetAddr ⲿߵַ
		bAddInc    ⲿߵַǷ
		pData      ַע⣺ȲҪ512ֽ
		uLen       
		TimeOut    ʱʱ䣬λ롣
ֵ
		ɹTRUEʧܷFALSE
*/
BOOL  WINAPI  CH9130WriteMasterPARADword(PVOID pDevInf,UCHAR OffsetAddr,BOOL bAddInc,PVOID pData,ULONG uLen,ULONG TimeOut);


#ifdef __cplusplus
}
#endif

#endif		// _CH9130_DLL_H
