// CH9130Net.cpp : implementation file
//

#include "stdafx.h"
#include "ch9130test.h"
#include "CH9130Net.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCH9130Net property page

IMPLEMENT_DYNCREATE(CCH9130Net, CPropertyPage)

CCH9130Net::CCH9130Net() : CPropertyPage(CCH9130Net::IDD)
{
	//{{AFX_DATA_INIT(CCH9130Net)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

CCH9130Net::~CCH9130Net()
{
}

void CCH9130Net::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCH9130Net)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCH9130Net, CPropertyPage)
	//{{AFX_MSG_MAP(CCH9130Net)
	ON_BN_CLICKED(IDC_BUTTON_OPEN_NET, OnButtonOpenNet)
	ON_BN_CLICKED(IDC_BUTTON_CLOSE_NET, OnButtonCloseNet)
	ON_BN_CLICKED(IDC_BUTTON_NET_WRITE, OnButtonNetWrite)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCH9130Net message handlers

void CCH9130Net::OnButtonOpenNet() 
{
	// TODO: Add your control notification handler code here
	CCH9130TestApp * pThis;
	pThis = (CCH9130TestApp *) AfxGetApp();
	m_hDev = CH9130Connect(pThis->m_uIP,pThis->m_uPort);
	if(m_hDev != NULL)
	{

		AfxMessageBox("򿪳ɹ");
		CWnd * pwnd = GetDlgItem(IDC_BUTTON_OPEN_NET);
		::EnableWindow(pwnd->GetSafeHwnd(),FALSE);
		
	}
}

void CCH9130Net::OnButtonCloseNet() 
{
	// TODO: Add your control notification handler code here
	if(m_hDev != NULL)
	{
		CH9130Disconnect(m_hDev,1000);
		m_hDev = NULL;
		CWnd * pwnd = GetDlgItem(IDC_BUTTON_OPEN_NET);
		::EnableWindow(pwnd->GetSafeHwnd(),TRUE);
	}
}

void CCH9130Net::OnButtonNetWrite() 
{
	// TODO: Add your control notification handler code here
	UpdateData();
	
	
	ULONG uWriteLen ;
	uWriteLen = ::GetWindowTextLength(GetDlgItem(IDC_EDIT_DATA)->GetSafeHwnd());
	
	if(m_hDev == NULL)
	{
		AfxMessageBox("豸δӣ豸!");
		return;
	}

	PCHAR data = (PCHAR)malloc(uWriteLen);
	PCHAR buffer = (PCHAR)malloc(uWriteLen*2+1);
	if( !GetDlgItemText(IDC_EDIT_DATA,buffer,uWriteLen*2+1) )
	{
		AfxMessageBox("Ϊգ!");
		return;
	}
	if(!mCheckInput((PUCHAR)buffer))
	{
		AfxMessageBox("ַ0~9,a~f,A~F֮ʮ!");
		return;
	}
	//data = (USHORT)mStrToBcd(buffer);
	ULONG datalen = strlen(buffer);
	datalen = datalen &0xfffffffe;
	datalen = datalen/2;
	for(UINT i = 0,j=0; i < datalen*2; i +=2 )
	{
		data[j] = mWordToByte(buffer[i],buffer[i+1]);
		j++;
	}
	


	if( CH9130WriteDataSPI0Device(m_hDev,data,datalen,1000) )
	{

	}else AfxMessageBox("дĴʧ");
	free(data);
	free(buffer);
}
