#if !defined(AFX_CH9130SPI0_H__BBF2675D_AEF4_46E8_9520_35D60588C3C6__INCLUDED_)
#define AFX_CH9130SPI0_H__BBF2675D_AEF4_46E8_9520_35D60588C3C6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CH9130SPI0.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCH9130SPI0 dialog

class CCH9130SPI0 : public CPropertyPage
{
	DECLARE_DYNCREATE(CCH9130SPI0)

// Construction
public:
	static UINT ThreadDeviceSendRecvTest(LPVOID pParam);
	static UINT ThreadHostSendRecvTest(LPVOID pParam);
	static UINT ThreadSendFile(LPVOID pParam);
	static UINT ThreadSendRecvFile(LPVOID pParam);
	BOOL m_bStopRead;
	BOOL m_bStopSend;
	CString m_strPathName;
	static UINT ThreadRecv(LPVOID pParam);
	CCH9130SPI0();
	~CCH9130SPI0();
	CH9130Handle m_hDev;
// Dialog Data
	//{{AFX_DATA(CCH9130SPI0)
	enum { IDD = IDD_DIALOG_SPI0 };
	CComboBox	m_ctrlSckMode;
	CComboBox	m_ctrlMode;
	UINT	m_ClkDiv;
	UINT	m_uReadLen;
	UINT	m_uWriteLen;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CCH9130SPI0)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CCH9130SPI0)
	afx_msg void OnButtonOpenSpi0();
	afx_msg void OnButtonCloseSpi0();
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonInit();
	afx_msg void OnButtonSpi0HostRead();
	afx_msg void OnButtonSpi0HostWrite();
	afx_msg void OnButtonWriteRead();
	afx_msg void OnButtonSpi0DevRead();
	afx_msg void OnButtonSpi0StopRead();
	afx_msg void OnButtonSpi0DevWrite();
	afx_msg LRESULT OnMyChangeDevice(WPARAM wParam, LPARAM lParam);
	afx_msg void OnButtonSendRecvFile();
	afx_msg void OnButtonSendFile();
	afx_msg void OnButtonSpi0HostTest();
	afx_msg void OnButtonSpi0DeviceTest();
	afx_msg void OnButtonSpi0StopTest();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CH9130SPI0_H__BBF2675D_AEF4_46E8_9520_35D60588C3C6__INCLUDED_)
